function [residual, g1, g2] = DRT_bbeffectivedemand_riskprem_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                     columns: variables in declaration order
%                                                     rows: equations in order of declaration
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: variables in declaration order
%                                                       rows: equations in order of declaration
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 28, 1);

%
% Model equations
%

T18 = params(23)*(y(28)*y(13))^(1-params(1));
T22 = (y(22)*y(11))^params(1);
T48 = y(2)^params(6)*(1-y(13))^(1-params(6));
T60 = params(24)*T48^((1-params(9))/params(12))+params(2)*y(8)^(1/params(12));
T64 = y(24)^(1-params(9));
T87 = y(10)/y(11);
T92 = 1-y(4)-params(8)/2*(T87-params(3))^2;
T122 = y(15)^(-1);
T137 = y(15)/params(38);
T152 = params(7)/2*(T137-1)^2;
T160 = params(8)*(T87-params(3));
T192 = y(14)^2;
T241 = getPowerDeriv(T48,(1-params(9))/params(12),1);
T244 = getPowerDeriv(T60,params(12)/(1-params(9)),1);
T270 = getPowerDeriv(T64/y(8),1-1/params(12),1);
T278 = (-(params(8)/2*1/y(11)*2*(T87-params(3))));
T303 = (-(params(8)/2*2*(T87-params(3))*(-y(10))/(y(11)*y(11))));
T367 = 1/params(38);
lhs =y(27)+params(15);
rhs =T18*T22;
residual(1)= lhs-rhs;
lhs =y(2)+y(11)*params(14)/y(19);
rhs =y(11)*params(14)+y(13)*y(26)+y(3);
residual(2)= lhs-rhs;
lhs =y(26);
rhs =y(2)*(1-params(6))/params(6)/(1-y(13));
residual(3)= lhs-rhs;
lhs =y(24);
rhs =T60^(params(12)/(1-params(9)));
residual(4)= lhs-rhs;
lhs =y(8);
rhs =T64;
residual(5)= lhs-rhs;
lhs =y(13)*y(26);
rhs =(y(27)+params(15))*(1-params(1))/y(12);
residual(6)= lhs-rhs;
lhs =y(11)*y(22)*y(20);
rhs =(y(27)+params(15))*params(1)/y(12);
residual(7)= lhs-rhs;
lhs =y(11)*y(22)*y(17)*y(5);
rhs =(y(27)+params(15))*params(1)/y(12);
residual(8)= lhs-rhs;
lhs =y(11);
rhs =y(10)+y(11)*T92;
residual(9)= lhs-rhs;
lhs =y(4);
rhs =params(3)+params(4)*(y(22)-1)+params(5)/2*(y(22)-1)^2;
residual(10)= lhs-rhs;
lhs =y(5);
rhs =params(4)+(y(22)-1)*params(5);
residual(11)= lhs-rhs;
lhs =y(21);
rhs =params(2)*(T64/y(8))^(1-1/params(12));
residual(12)= lhs-rhs;
lhs =1;
rhs =y(19)*y(21);
residual(13)= lhs-rhs;
lhs =1;
rhs =y(21)*y(1)*y(18)*T122;
residual(14)= lhs-rhs;
lhs =1;
rhs =y(21)*(y(3)+y(14))/y(14);
residual(15)= lhs-rhs;
lhs =log(y(18));
rhs =(1-params(16))*(log(params(41))+params(17)*log(T137))+log(y(18))*params(16);
residual(16)= lhs-rhs;
lhs =y(3);
rhs =y(27)-y(13)*y(26)-y(10)-y(27)*T152-params(14)*(y(11)-y(11)/y(19));
residual(17)= lhs-rhs;
lhs =1;
rhs =y(21)*(y(22)*y(20)+y(17)*(T92+T87*T160))/y(17);
residual(18)= lhs-rhs;
lhs =1/y(17);
rhs =1-T160;
residual(19)= lhs-rhs;
lhs =T137*params(7)*(T137-1);
rhs =1-params(13)+params(13)/y(12)+T137*(T137-1)*y(21)*params(7);
residual(20)= lhs-rhs;
lhs =y(16);
rhs =y(27)*(y(12)-1)-params(15);
residual(21)= lhs-rhs;
lhs =y(6);
rhs =(y(3)+y(14))/y(14);
residual(22)= lhs-rhs;
lhs =y(7);
rhs =(y(3)+y(14))^2/T192;
residual(23)= lhs-rhs;
lhs =y(9);
rhs =(y(3)+y(14))/y(14);
residual(24)= lhs-rhs;
lhs =y(23);
rhs =y(7)-y(6)^2;
residual(25)= lhs-rhs;
lhs =y(1);
rhs =(1-params(19))*params(25)+y(1)*params(19)+y(25)*x(1);
residual(26)= lhs-rhs;
lhs =y(25);
rhs =y(25)*params(20)+(1-params(20))*params(48)+params(21)*x(2);
residual(27)= lhs-rhs;
lhs =y(28);
rhs =(1-params(22))*params(52)+y(28)*params(22)+params(49)*x(3);
residual(28)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(28, 28);

  %
  % Jacobian matrix
  %

  g1(1,11)=(-(T18*y(22)*getPowerDeriv(y(22)*y(11),params(1),1)));
  g1(1,13)=(-(T22*params(23)*y(28)*getPowerDeriv(y(28)*y(13),1-params(1),1)));
  g1(1,22)=(-(T18*y(11)*getPowerDeriv(y(22)*y(11),params(1),1)));
  g1(1,27)=1;
  g1(1,28)=(-(T22*params(23)*y(13)*getPowerDeriv(y(28)*y(13),1-params(1),1)));
  g1(2,2)=1;
  g1(2,3)=(-1);
  g1(2,11)=params(14)/y(19)-params(14);
  g1(2,13)=(-y(26));
  g1(2,19)=(-(y(11)*params(14)))/(y(19)*y(19));
  g1(2,26)=(-y(13));
  g1(3,2)=(-((1-params(6))/params(6)/(1-y(13))));
  g1(3,13)=(-(y(2)*(1-params(6))/params(6)/((1-y(13))*(1-y(13)))));
  g1(3,26)=1;
  g1(4,2)=(-(params(24)*(1-y(13))^(1-params(6))*getPowerDeriv(y(2),params(6),1)*T241*T244));
  g1(4,8)=(-(T244*params(2)*getPowerDeriv(y(8),1/params(12),1)));
  g1(4,13)=(-(T244*params(24)*T241*y(2)^params(6)*(-(getPowerDeriv(1-y(13),1-params(6),1)))));
  g1(4,24)=1;
  g1(5,8)=1;
  g1(5,24)=(-(getPowerDeriv(y(24),1-params(9),1)));
  g1(6,12)=(-((-((y(27)+params(15))*(1-params(1))))/(y(12)*y(12))));
  g1(6,13)=y(26);
  g1(6,26)=y(13);
  g1(6,27)=(-((1-params(1))/y(12)));
  g1(7,11)=y(22)*y(20);
  g1(7,12)=(-((-((y(27)+params(15))*params(1)))/(y(12)*y(12))));
  g1(7,20)=y(22)*y(11);
  g1(7,22)=y(11)*y(20);
  g1(7,27)=(-(params(1)/y(12)));
  g1(8,5)=y(11)*y(22)*y(17);
  g1(8,11)=y(22)*y(17)*y(5);
  g1(8,12)=(-((-((y(27)+params(15))*params(1)))/(y(12)*y(12))));
  g1(8,17)=y(11)*y(22)*y(5);
  g1(8,22)=y(11)*y(17)*y(5);
  g1(8,27)=(-(params(1)/y(12)));
  g1(9,4)=y(11);
  g1(9,10)=(-(1+y(11)*T278));
  g1(9,11)=1-(T92+y(11)*T303);
  g1(10,4)=1;
  g1(10,22)=(-(params(4)+params(5)/2*2*(y(22)-1)));
  g1(11,5)=1;
  g1(11,22)=(-params(5));
  g1(12,8)=(-(params(2)*(-T64)/(y(8)*y(8))*T270));
  g1(12,21)=1;
  g1(12,24)=(-(params(2)*T270*getPowerDeriv(y(24),1-params(9),1)/y(8)));
  g1(13,19)=(-y(21));
  g1(13,21)=(-y(19));
  g1(14,1)=(-(T122*y(21)*y(18)));
  g1(14,15)=(-(y(21)*y(1)*y(18)*getPowerDeriv(y(15),(-1),1)));
  g1(14,18)=(-(T122*y(21)*y(1)));
  g1(14,21)=(-(y(1)*y(18)*T122));
  g1(15,3)=(-(y(21)/y(14)));
  g1(15,14)=(-((y(21)*y(14)-y(21)*(y(3)+y(14)))/(y(14)*y(14))));
  g1(15,21)=(-((y(3)+y(14))/y(14)));
  g1(16,15)=(-((1-params(16))*params(17)*T367/T137));
  g1(16,18)=1/y(18)-params(16)*1/y(18);
  g1(17,3)=1;
  g1(17,10)=1;
  g1(17,11)=params(14)*(1-1/y(19));
  g1(17,13)=y(26);
  g1(17,15)=y(27)*params(7)/2*T367*2*(T137-1);
  g1(17,19)=params(14)*(-((-y(11))/(y(19)*y(19))));
  g1(17,26)=y(13);
  g1(17,27)=(-(1-T152));
  g1(18,4)=(-(y(21)*(-y(17))/y(17)));
  g1(18,10)=(-(y(21)*y(17)*(T278+T160*1/y(11)+T87*params(8)*1/y(11))/y(17)));
  g1(18,11)=(-(y(21)*y(17)*(T303+T160*(-y(10))/(y(11)*y(11))+T87*params(8)*(-y(10))/(y(11)*y(11)))/y(17)));
  g1(18,17)=(-((y(17)*y(21)*(T92+T87*T160)-y(21)*(y(22)*y(20)+y(17)*(T92+T87*T160)))/(y(17)*y(17))));
  g1(18,20)=(-(y(22)*y(21)/y(17)));
  g1(18,21)=(-((y(22)*y(20)+y(17)*(T92+T87*T160))/y(17)));
  g1(18,22)=(-(y(20)*y(21)/y(17)));
  g1(19,10)=params(8)*1/y(11);
  g1(19,11)=params(8)*(-y(10))/(y(11)*y(11));
  g1(19,17)=(-1)/(y(17)*y(17));
  g1(20,12)=(-((-params(13))/(y(12)*y(12))));
  g1(20,15)=params(7)*(T137-1)*T367+T137*params(7)*T367-((T137-1)*y(21)*params(7)*T367+T137*y(21)*params(7)*T367);
  g1(20,21)=(-(T137*params(7)*(T137-1)));
  g1(21,12)=(-y(27));
  g1(21,16)=1;
  g1(21,27)=(-(y(12)-1));
  g1(22,3)=(-(1/y(14)));
  g1(22,6)=1;
  g1(22,14)=(-((y(14)-(y(3)+y(14)))/(y(14)*y(14))));
  g1(23,3)=(-(2*(y(3)+y(14))/T192));
  g1(23,7)=1;
  g1(23,14)=(-((T192*2*(y(3)+y(14))-(y(3)+y(14))^2*2*y(14))/(T192*T192)));
  g1(24,3)=(-(1/y(14)));
  g1(24,9)=1;
  g1(24,14)=(-((y(14)-(y(3)+y(14)))/(y(14)*y(14))));
  g1(25,6)=2*y(6);
  g1(25,7)=(-1);
  g1(25,23)=1;
  g1(26,1)=1-params(19);
  g1(26,25)=(-x(1));
  g1(27,25)=1-params(20);
  g1(28,28)=1-params(22);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],28,784);
end
end
