function Res = DRTapp_fig2_grossreturn(R,P,modstr)

    r = R - 1;
    if strcmp(modstr,'BB')
        Aa = 1/(P.chi*R);
        Ba = (1-P.beta)/(1-P.chi) + (1-P.beta*R)/(P.chi*R);
        thetai = 1;
    elseif strcmp(modstr,'DRT')
        Aa = -1/((1-P.beta)*P.chi*R);
        Ba = -(1-P.beta*R)/((1-P.beta)*P.chi*R);
        thetai = -P.beta/(1-P.beta);
    end
    As = -(1/(2*P.chi*R))*((thetai - Aa*P.chi + (P.chi - P.sigma)*Ba)^2 ...
            - (1-P.sigma)*(P.chi-P.sigma)*Ba^2);
    Cs = -r*As;
    Bs = (1-P.beta)*As + P.beta*(Cs + (1-P.sigma)*Ba^2/2);

    Res = log(P.beta*R) ...
      - ( (1 - P.sigma)^2*Ba^2 ...
        - (thetai - P.chi*Aa + (P.chi - P.sigma)*Ba)^2)*P.siga2/2 ...
      - ( (1 - P.sigma)^2*Bs^2 - ...
            ((P.chi-P.sigma)*Bs-P.chi*As)^2)*P.sigsiga2^2/2;
end